import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/form_order_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/form_order_entity.g.dart';

@JsonSerializable()
class FormOrderEntity {
	String? id;
	@JSONField(name: "user_id")
	String? userId;
	int status = 0;
	FormOrderOrder? order;

	FormOrderEntity();

	factory FormOrderEntity.fromJson(Map<String, dynamic> json) => $FormOrderEntityFromJson(json);

	Map<String, dynamic> toJson() => $FormOrderEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}


@JsonSerializable()
class FormOrderOrder {
	String? id;
	@JSONField(name: "total_amount")
	String? totalAmount;
	@JSONField(name: "order_amount")
	String? orderAmount;
	@JSONField(name: "deposit_amount")
	String? depositAmount;
	@JSONField(name: "payment_status")
	String? paymentStatus;
	@JSONField(name: "refund_status")
	String? refundStatus;

	FormOrderOrder();

	factory FormOrderOrder.fromJson(Map<String, dynamic> json) => $FormOrderOrderFromJson(json);

	Map<String, dynamic> toJson() => $FormOrderOrderToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}